Bug 74801 - TABLE: Wrong table formatting while posting an html table
Summary: TABLE: Wrong table formatting while posting an html table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA NeedsMSOutlook2013
Keywords:
Depends on:
Blocks: Writer-Tables Paste-From-MSO
  Show dependency treegraph
 
Reported: 2014-02-10 16:18 UTC by Zeki Bildirici
Modified: 2018-05-09 02:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Mail message includes the table (33.50 KB, application/octet-stream)
2014-02-10 16:19 UTC, Zeki Bildirici
Details
Comparison of MS Word vs LibreOffice Writer 4.2 (297.18 KB, image/jpeg)
2014-02-11 07:55 UTC, Zeki Bildirici
Details
Paste special options provided (25.30 KB, image/png)
2014-07-14 00:02 UTC, Yousuf Philips (jay) (retired)
Details
Clipboard viewer options (27.72 KB, image/png)
2014-07-14 00:03 UTC, Yousuf Philips (jay) (retired)
Details
pasted clipboard formats saved as odfs (105.29 KB, application/zip)
2014-07-14 00:05 UTC, Yousuf Philips (jay) (retired)
Details
pdf export from outlook 2013 (73.77 KB, application/pdf)
2014-07-14 00:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2014-02-10 16:18:45 UTC
Problem description: 

Copying the table from attached mail message results wrong formatting.

It's a receipt and sent by the bank. One of our users reported that they were using this receipts on company reports etc created with LibreOffice Writer


Steps to reproduce:
1. Open attached mail message
2. Copy the whole table - its a receipt formed as html table
3. Paste to LibreOffice Writer

Current behavior:

Wrong formatting

Expected behavior:

Correct formating like MS Word.

              
Operating System: All
Version: 4.2.0.4 release
Comment 1 Zeki Bildirici 2014-02-10 16:19:49 UTC
Created attachment 93785 [details]
Mail message includes the table
Comment 2 Zeki Bildirici 2014-02-11 07:55:56 UTC
Created attachment 93845 [details]
Comparison of MS Word vs LibreOffice Writer 4.2
Comment 3 n.lederbauer 2014-07-11 14:48:30 UTC
Same behavior:
using LO 4242.
Got an E-mail with a table in it.
Copy and paste in a new writer document: no table, only the content wihout formatting.
Then I dressed a table and tryed to paste the content in the table - no way, even when I marked the whole table before.
Then I copied the whole document  (text & table)
same result as before.

Copied the table and pasted it into MS Word 2010: this did work!

What do users who have only LibreOffice?
Comment 4 n.lederbauer 2014-07-12 13:37:32 UTC
Using LibreOffice 4.2.5.2 on Linux (Kubuntu trusty). 
Copy and paste work!!!
I have to download the newest issue for Windows.
Comment 5 Yousuf Philips (jay) (retired) 2014-07-14 00:02:33 UTC
Created attachment 102726 [details]
Paste special options provided
Comment 6 Yousuf Philips (jay) (retired) 2014-07-14 00:03:47 UTC
Created attachment 102727 [details]
Clipboard viewer options
Comment 7 Yousuf Philips (jay) (retired) 2014-07-14 00:05:42 UTC
Created attachment 102728 [details]
pasted clipboard formats saved as odfs
Comment 8 Yousuf Philips (jay) (retired) 2014-07-14 00:33:55 UTC
Dear Zeki,

Thank you for submitting the bug. I can confirm that the bug is available in Windows 7 on 3.3.0, 3.6.7, 4.3.1 and master.

By default LibreOffice pastes the 'html without comments' option, which is shown in attachment 93845 [details]. The paste special rtf option could have worked except most of the tables were crushed flat (seems wordpad and kingsoft writer do this as well, but slightly different). The only means to retain the original form is to paste special with 'microsoft word document' and 'gdi metafile' options, but of course these formats are not editable after pasting as one is an ole object and latter is a picture.

By default word 2013 pastes in html format, which doesnt look exactly like the original, but if special pasted in rtf format it does.
Comment 9 Yousuf Philips (jay) (retired) 2014-07-14 00:34:20 UTC
Created attachment 102729 [details]
pdf export from outlook 2013
Comment 10 QA Administrators 2015-07-18 17:42:55 UTC Comment hidden (obsolete)
Comment 11 Zeki Bildirici 2015-09-01 10:55:50 UTC
(In reply to QA Administrators from comment #10)
> ** Please read this message in its entirety before responding **
> If the bug is present, please leave a comment that includes the version of
> LibreOffice and your operating system, and any changes you see in the bug
> behavior
Hi,

The problem is still reproducable on LibreOffice Version: 5.0.0.5

Best regards,
Zeki
Comment 12 QA Administrators 2016-09-20 10:29:01 UTC Comment hidden (obsolete)
Comment 13 Telesto 2016-11-23 13:53:05 UTC
Confirming with:
Version: 5.3.0.0.alpha1+
Build ID: 02ec51c7e0bf9320b32ec73233ecaaf160448776
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-20_23:12:18
Locale: nl-NL (nl_NL); Calc: CL

and with:

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 14 QA Administrators 2018-05-09 02:34:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug